import { TdChartOptionsService, ITdLabel, ITdItemStyle, ITdEmphasis, ITdSeries, TdSeriesDirective, ITdShadow, ITdLineCurveStyle } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
export declare type TdSankeyOrient = 'horizontal' | 'vertical';
export declare type TdSankeyFocusNodeAdjacency = boolean | 'allEdges' | 'outEdges' | 'inEdges';
export interface ITdSankeyEmphasisLineStyle extends ITdShadow {
    color?: any;
    opacity?: number;
    curveness?: number;
}
export interface ITdSankeyEmphasis extends ITdEmphasis {
    lineStyle: ITdSankeyEmphasisLineStyle;
}
export interface ITdSankeySeries extends ITdSeries {
    zlevel?: number;
    z?: number;
    left?: string | number;
    top?: string | number;
    right?: string | number;
    bottom?: string | number;
    width?: string | number;
    height?: string | number;
    nodeWidth?: number;
    nodeGap?: number;
    layoutIterations?: number;
    orient?: TdSankeyOrient;
    draggable?: boolean;
    focusNodeAdjacency?: TdSankeyFocusNodeAdjacency;
    label?: ITdLabel;
    itemStyle?: ITdItemStyle;
    lineStyle?: ITdLineCurveStyle;
    emphasis?: ITdEmphasis;
    data?: any[];
    nodes?: any[];
    links?: any[];
    edges?: any[];
    silent?: boolean;
}
export declare class TdChartSeriesSankeyComponent extends TdSeriesDirective implements ITdSankeySeries {
    zlevel?: number;
    z?: number;
    left?: string | number;
    top?: string | number;
    right?: string | number;
    bottom?: string | number;
    width?: string | number;
    height?: string | number;
    nodeWidth?: number;
    nodeGap?: number;
    layoutIterations?: number;
    orient?: TdSankeyOrient;
    draggable?: boolean;
    focusNodeAdjacency?: TdSankeyFocusNodeAdjacency;
    label?: ITdLabel;
    itemStyle?: ITdItemStyle;
    lineStyle?: ITdLineCurveStyle;
    emphasis?: ITdEmphasis;
    nodes?: any[];
    links?: any[];
    edges?: any[];
    silent?: boolean;
    constructor(_optionsService: TdChartOptionsService);
    getConfig(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartSeriesSankeyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartSeriesSankeyComponent, "td-chart-series[td-sankey]", never, { "config": "config"; "id": "id"; "name": "name"; "color": "color"; "data": "data"; "animation": "animation"; "animationThreshold": "animationThreshold"; "animationDuration": "animationDuration"; "animationEasing": "animationEasing"; "animationDelay": "animationDelay"; "animationDurationUpdate": "animationDurationUpdate"; "animationEasingUpdate": "animationEasingUpdate"; "animationDelayUpdate": "animationDelayUpdate"; "tooltip": "tooltip"; "zlevel": "zlevel"; "z": "z"; "left": "left"; "top": "top"; "right": "right"; "bottom": "bottom"; "width": "width"; "height": "height"; "nodeWidth": "nodeWidth"; "nodeGap": "nodeGap"; "layoutIterations": "layoutIterations"; "orient": "orient"; "draggable": "draggable"; "focusNodeAdjacency": "focusNodeAdjacency"; "label": "label"; "itemStyle": "itemStyle"; "lineStyle": "lineStyle"; "emphasis": "emphasis"; "nodes": "nodes"; "links": "links"; "edges": "edges"; "silent": "silent"; }, {}, never, never, false>;
}
